<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('galleries', function (Blueprint $table) {
            $table->id();
            $table->enum('kategori', ['kegiatan_desa', 'masyarakat', 'alam_lingkungan', 'potensi_desa', 'pemerintahan', 'wisata']);
            $table->string('judul')->nullable();
            $table->string('foto');
            $table->timestamps();

            $table->index('kategori');
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('galleries');
    }
};
